package com.sw.mes.store.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sw.mes.core.dto.store.WarehouseOutputBillDetailBo;
import com.sw.mes.store.entity.WarehouseOutputBillDetail;

import java.util.List;

/**
 * @Author wupeng
 * @Description 出库单明细
 * @Date 20:19 2023/8/2
 * @Param
 * @return
 **/
public interface WarehouseOutputBillDetailService extends IService<WarehouseOutputBillDetail> {
    List<WarehouseOutputBillDetail> getByBillId(Long id);

    List<WarehouseOutputBillDetail> getByBillNo(String billNo);

    WarehouseOutputBillDetail getByBillMaterialCode(String billNo,String materialCode);

    List<WarehouseOutputBillDetailBo> findWarehouseOutputBillDetailByMaterialCode(String materialCode);
}
